package betterquesting.network;

import betterquesting.api.network.IPacketSender;
import betterquesting.api.network.QuestingPacket;
import betterquesting.api2.utils.BQThreadedIO;
import betterquesting.core.BetterQuesting;
import cpw.mods.fml.common.network.NetworkRegistry;
import java.util.List;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.nbt.NBTTagCompound;

/* loaded from: betterquesting_network.jar:betterquesting/network/PacketSender.class */
public class PacketSender implements IPacketSender {
    public static final PacketSender INSTANCE = new PacketSender();

    public void sendToPlayers(QuestingPacket payload, EntityPlayerMP... players) {
        payload.getPayload().func_74778_a("ID", payload.getHandler().toString());
        BQThreadedIO.INSTANCE.enqueue(() -> {
            List<NBTTagCompound> fragments = PacketAssembly.INSTANCE.splitPacket(payload.getPayload());
            for (EntityPlayerMP p : players) {
                for (NBTTagCompound tag : fragments) {
                    BetterQuesting.instance.network.sendTo(new PacketQuesting(tag), p);
                }
            }
        });
    }

    public void sendToAll(QuestingPacket payload) {
        payload.getPayload().func_74778_a("ID", payload.getHandler().toString());
        BQThreadedIO.INSTANCE.enqueue(() -> {
            for (NBTTagCompound p : PacketAssembly.INSTANCE.splitPacket(payload.getPayload())) {
                BetterQuesting.instance.network.sendToAll(new PacketQuesting(p));
            }
        });
    }

    public void sendToServer(QuestingPacket payload) {
        payload.getPayload().func_74778_a("ID", payload.getHandler().toString());
        BQThreadedIO.INSTANCE.enqueue(() -> {
            for (NBTTagCompound p : PacketAssembly.INSTANCE.splitPacket(payload.getPayload())) {
                BetterQuesting.instance.network.sendToServer(new PacketQuesting(p));
            }
        });
    }

    public void sendToAround(QuestingPacket payload, NetworkRegistry.TargetPoint point) {
        payload.getPayload().func_74778_a("ID", payload.getHandler().toString());
        BQThreadedIO.INSTANCE.enqueue(() -> {
            for (NBTTagCompound p : PacketAssembly.INSTANCE.splitPacket(payload.getPayload())) {
                BetterQuesting.instance.network.sendToAllAround(new PacketQuesting(p), point);
            }
        });
    }

    public void sendToDimension(QuestingPacket payload, int dimension) {
        payload.getPayload().func_74778_a("ID", payload.getHandler().toString());
        BQThreadedIO.INSTANCE.enqueue(() -> {
            for (NBTTagCompound p : PacketAssembly.INSTANCE.splitPacket(payload.getPayload())) {
                BetterQuesting.instance.network.sendToDimension(new PacketQuesting(p), dimension);
            }
        });
    }
}
